<?php

namespace LQDN\Tests\Functional\Finder;

use LQDN\Tests\Functional\FunctionalTest;

class CounterpartFinderTest extends FunctionalTest
{
    public function testFindByUserId()
    {
        $counterparts = $this->container['counterpart_finder']->findByUserId(2);
        $this->assertCount(1, $counterparts);

        $firstCounterpart = reset($counterparts);

        // Check the first counterpart
        $expectedCounterpart = [
            'id' => '2',
            'user_id' => '2',
            'datec' => '2016-06-22 12:34:00',
            'quoi' => 'piplome',
            'taille' => '1',
            'status' => '1',
            'adresse_id' => null,
            'pdf_id' => '1',
            'pdf_nom' => 'bob@example.org',
            'pdf_url' => 'pdf',
        ];
        $this->assertEquals($expectedCounterpart, $firstCounterpart);

        // Test the PDF attributes
        $this->assertEquals(2, $firstCounterpart['pdf_id']);
        $this->assertEquals('Bob', $firstCounterpart['pdf_nom']);
        $this->assertEquals('http://example.org/pdf/2', $firstCounterpart['pdf_url']);
    }
}
